-- Customer specific once-script AADS
-- Support: +31 53 4800700
-- AADS#29958 

SET ECHO ON
SPOOL xAADS#29958.lst
SET DEFINE OFF

-- Set alle personen met login dsm.com in de groep _Default (DSM) = key 1081
INSERT INTO fac_gebruikersgroep (fac_groep_key, prs_perslid_key)
   SELECT   1081, p.prs_perslid_key
     FROM   prs_perslid p
    WHERE       prs_perslid_oslogin LIKE '%DSM.C%'
            AND prs_perslid_verwijder IS NULL
            AND p.prs_perslid_key NOT IN (SELECT   DISTINCT prs_perslid_key
                                            FROM   fac_gebruikersgroep
                                           WHERE   fac_groep_key = 1081);
                                           
-- Verwijder alle personen met loging dsm.com uit de _default groep = key 121
DELETE FROM   fac_gebruikersgroep
      WHERE   fac_groep_key = 121
              AND prs_perslid_key IN
                       (SELECT   prs_perslid_key
                          FROM   prs_perslid
                         WHERE   prs_perslid_oslogin LIKE '%DSM.C%'
                                 AND prs_perslid_verwijder IS NULL);                                                                     
 
begin fac.initsession('NL'); end;
/

commit;

SPOOL OFF
